# FileKeyProvider (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.keyprovider
Interface FileKeyProvider

All Superinterfaces:
  KeyProvider

All Known Implementing Classes:
  OpenSSHKeyFile, PKCS8KeyFile

    public interface FileKeyProvider

extends KeyProvider

A file key provider is initialized with a location of

Nested Class Summary
`static class` `FileKeyProvider.Format`

Method Summary
`void` `init(File location)`
`void` `init(File location, PasswordFinder pwdf)`

Methods inherited from interface net.schmizz.sshj.userauth.keyprovider.KeyProvider
`getPrivate, getPublic, getType`

Method Detail

### init

    void init(File location)

### init

    void init(File location,
              PasswordFinder pwdf)

Copyright © 2009-2011. All Rights Reserved.